List transactions
curl --request GET \
--url https://api.darwin.so/api/v1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "<string>",
"transactionId": "<string>",
"goalId": "<string>",
"dealId": "<string>",
"reservedCapMinor": 1,
"subtotalMinor": 1,
"darwinFeeMinor": 1,
"taxAmountMinor": 1,
"settledAmountMinor": 1,
"releasedAmountMinor": 1,
"currency": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"taskId": "<string>",
"offerId": "<string>",
"amountMinor": 1,
"feeBps": 1,
"feeAttributionReason": "<string>",
"feePolicyVersion": 2,
"refundedAmountMinor": 1,
"fundedAt": "2023-11-07T05:31:56Z",
"transferredAt": "2023-11-07T05:31:56Z",
"refundedAt": "2023-11-07T05:31:56Z",
"disputedAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Product API · Deals
List transactions
GET
/
transactions
List transactions
Authorizations
Darwin API keys begin with darwin_ and are created in Developer settings.
Query Parameters
Optional explicit agent scope. When omitted, Darwin uses the caller’s selected agent.
Response
Transactions visible to the selected agent.
Show child attributes
Show child attributes
⌘I